@import "variables";
@import "mixins";

@font-face {
    font-family: "Gilroy-Bold";
    src:
      url("../fonts/gilroy-bold-webfont.woff2") format("woff2"),
      url("../fonts/gilroy-bold-webfont.woff") format("woff");
}
@font-face {
    font-family: "Gilroy-Light";
    src:
      url("../fonts/gilroy-light-webfont.woff2") format("woff2"),
      url("../fonts/gilroy-light-webfont.woff") format("woff");
}
@font-face {
    font-family: "Gilroy-Medium";
    src:
      url("../fonts/gilroy-medium-webfont.woff2") format("woff2"),
      url("../fonts/gilroy-medium-webfont.woff") format("woff");
}
@font-face {
    font-family: "Gilroy-Regular";
    src:
      url("../fonts/gilroy-regular-webfont.woff2") format("woff2"),
      url("../fonts/gilroy-regular-webfont.woff") format("woff");
}
@font-face {
    font-family: "Gilroy-SemiBold";
    src:
      url("../fonts/gilroy-semibold-webfont.woff2") format("wo ff2"),
      url("../fonts/gilroy-semibold-webfont.woff") format("woff");
}
@font-face {
    font-family: "Gilroy-ExtraBold";
    src:
      url("../fonts/gilroy-extrabold-webfont.woff2") format("woff2"),
      url("../fonts/gilroy-extrabold-webfont.woff") format("woff");
}

*{
    padding: 0;
    margin: 0;
}
button{
    all: unset;
    cursor: pointer;
}

body{
    background-color: #F5F3EA;
}

.container {
    max-width: 100%;
    margin: 0 auto;
    padding: 0 70px;
}

.header{
    padding: 30px 0;

    .header-wrapper{
        display: flex;
        justify-content: space-between;

        .logo{
            display: flex;
            align-items: center;
            gap: 10px;
            text-decoration: none;
    
            .logo__img{
                width: 78px;
                height: 29px; 
            }
            .logo__text{
                color: #000;
                @include extrabold-style;
                font-size: 30px;
                letter-spacing: -0.7px;
                
                .logo__text--thin{
                    @include medium-style;
                    text-transform: uppercase;
    
                    sup{
                        @include light-style;
                    }
                }
            }
    
        }
        .menu{
            color: $main-color;
            text-align: center;
            font-size: 25px;
            @include semibold-style;
        }
    }
    
}

.main-title{
    margin-top: 30px;

    .main-title__wrapper{
        display: flex;
        flex-direction: column;
        align-items: center;

        .main-title__text{
            color: $main-color;
            text-align: center;
            @include semibold-style;
            font-size: 9vw;
            text-transform: uppercase;
        
            .main-title__text--thin{
                @include light-style;
                text-transform: capitalize;
            }
        }
        .main-title__arrow{
            margin-top: 30px;
            margin-bottom: 51px;
        }
    }
}

.photo-banner{
    width: 100%;
}

.photo-banner--mobile{
    display: none;
}

.about-me{
    padding: 70px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .about-me__text{
        color: $main-color;
        font-size: 3vw;
        @include light-style;
        max-width: 1800px;
        padding: 0 70px;

        .about-me__text--bold{
            @include extrabold-style;
        }
    }

    .my-socials{
        display: flex;
        padding: 20px 30px 20px 50px;
        flex-direction: column;
        gap: 40px;
        background: $main-color;
        box-sizing: border-box;
        height: 170px;


        .my-socials__text{
            color: #FFF;
            text-align: right;
            @include medium-style;
            font-size: 32px;
            line-height: 32px;
            text-transform: uppercase;
        }
        .my-socials__icons{
            display: flex;
            gap: 25px;
            list-style: none;
            justify-content: center;

            .my-socials__icon{
                width: 46px;
                height: 46px; 
            }
        }
    }
}

.logos{
    border-bottom: 1px solid #252525;
    border-top: 1px solid #252525;
    padding: 70px 0;

    .logos-list{
        list-style: none;
        display: flex;
        justify-content: space-between;

        .logos-list__item{
            border-radius: 50px;
            background: #FFF;
            display: flex;
            padding: 1.5vh 2vw;
            justify-content: center;
            align-items: center;
            margin-right: 7px;

            &:last-child{
                margin-right: 0;   
            }

            .logos-list__logo{
                width: 100%;
                height: auto;
                display: block;
            }
        }
    }
}

.selected-work{
    padding: 70px 0 100px 0;

    .selected-work__title{
        color: $main-color;
        text-align: center;
        width: 100%;
        font-size: 9vw;
        @include light-style;
        letter-spacing: 8.48px;
        text-transform: uppercase;
    }

    .grid-selected-work{
        margin: 50px 0 70px 0;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, auto);
        gap: 70px 40px;
        
        .grid-item{
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            
            .grid-item__title{
                color: #000;
                @include bold-style;
                font-size: 2vw;
                line-height: 44px; 
                text-transform: uppercase;  
            }

            .grid-item__buttons{
                margin-top: 30px;
                list-style: none;
                display: flex;
                align-items: flex-start;
                gap: 30px;

                .grid-item__button--white{
                    display: flex;
                    padding: 15px 30px;
                    align-items: center;
                    text-decoration: none;
                    gap: 10px;
                    border-radius: 50px;
                    background: #FFF;
                    color: #252525;
                    @include medium-style;
                    font-size: 18px;
                }
            }

            .grid-item__button--black{
                display: flex;
                text-decoration: none;
                align-self: flex-end;
                margin-top: auto;
                padding: 15px 30px;
                gap: 10px;
                border-radius: 50px;
                background: $main-color;
                color: #FFF;
                font-size: 18px;
                @include medium-style;
                text-transform: capitalize;
                width: fit-content;
                align-items: center;
                
            }
       }

       .grid-photo{
            position: relative;
            width: 100%; 
            padding-top: 100%; 
            overflow: hidden;

        .grid-photo__img{
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover;

        }
       }
    }
    .all-work-button{
        display: flex;
        padding: 15px 60px;
        align-items: center;
        gap: 10px;
        border-radius: 50px;
        background: #FFF;
        color: $main-color;
        font-size: 18px;
        @include medium-style;
        width: fit-content;
        text-decoration: none;
        margin: 0 auto;
    }
}

.our-team{
    padding: 50px 0;
    border-top: 1px solid $main-color;
    border-bottom: 1px solid $main-color;
    display: flex;
    flex-direction: column;
    align-items: center;

    .our-team__title{
        color: #252525;
        text-align: center;
        width: 100%;
        font-size: 9vw;
        @include light-style;
        letter-spacing: 8.48px;
        text-transform: uppercase;
        margin-bottom: 50px;
    }

    .grid-our-team{
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(2, 1fr);
        gap: 30px 40px;
        list-style: none;

        .grid-our-team__card{
            display: flex;
            max-width: 582px;
            padding: 30px 0px;
            box-sizing: border-box;
            flex-direction: column;
            align-items: flex-start;

            .grid-card__name{
                color: #333;
                @include extrabold-style;
                font-size: 1.5vw;
                text-transform: uppercase;
                margin-bottom: 5px;
                text-decoration: none;
            }

            .grid-card__position{
                color: #333;
                @include medium-style;
                font-size: 1.2vw;
                text-decoration: none;
            }

            .grid-card__photo-container{
                max-width: 830px;
                max-height: 1014px;
                aspect-ratio: 830 / 1014;
                margin: 15px 0;
                overflow: hidden;
                text-decoration: none;
                

                .grid-card__photo{
                    width: 100%;
                    height: 100%;
                    object-fit: cover; 
                    filter: grayscale(100%);
                }
            }

            .grid-card__social-icons{
                list-style: none;
                display: flex;
                align-self: flex-end;
                align-items: center;
                gap: 10px;  

                .grid-card__social-icon{
                    width: 2vw;
                    height: 100%
                }
            }
        }

        .grid-join{
            display: flex;
            flex-direction: column;
            justify-content: center;
            grid-column: span 2;
            gap: 15px;

            .grid-join__text--thin{
                color: #333;
                @include regular-style;
                font-size: 2vw;
                text-transform: uppercase;
            }

            .grid-join__text--bold{
                color: #333;
                @include bold-style;
                font-size: 3vw;
                text-transform: uppercase; 
            }

            .grid-join__button{
                display: flex;
                text-decoration: none;
                padding: 15px 30px;
                gap: 10px;
                border-radius: 50px;
                background: $main-color;
                color: #FFF;
                @include medium-style;
                font-size: 18px;
                text-transform: capitalize;
                width: fit-content;
                align-items: center;
            }
        }
    }
}


@media screen and (min-width: 768px) and (max-width: 1200px) {

    .container {
        padding: 0 30px;
    }
    
    .main-title{
        .main-title__wrapper{
            .main-title__text{
                font-size: 12vw;
            }
            .main-title__arrow{
                margin-bottom: 40px;
            }
        }
    }

    .about-me{
        padding: 0;
        display: flex;
        flex-direction: column;
    
        .about-me__text{
            text-align: center;
            font-size: 5.4vw;
            padding: 30px;
        }
    
        .my-socials{
            padding: 0 30px 0 0;
            width: 100%;
            height: 188px;
            justify-content: center;
            align-items: flex-end;
        }
    }


    .logos{
        padding: 40px 0;
        .logos-list{
            gap: 20px;
            flex-wrap: wrap;
            justify-content: center;
    
            .logos-list__item{
                padding: 1.9vh 1.7vw;
                margin-right: 0;
    
                .logos-list__logo{
                    width: 80%;
                }
            }
        }
    }

    .selected-work{
        padding: 30px 0;
    
        .selected-work__title{
            font-size: 131px;
        }
    
        .grid-selected-work{
            margin: 30px 0 70px 0;
            display: flex;
            flex-direction: column;
            gap: 30px 0;
            
            .grid-item{
                &:nth-child(2){
                    order: -1;
                }
                &:nth-child(3){
                    order: -1;
                }
                &:nth-child(4){
                    margin-top: 40px;
                }

                .grid-item__title{
                    font-size: 4vw; 
                }
           }
        }
    }

    .our-team{
        padding: 30px 0 50px 0;
    
        .our-team__title{
            font-size: 131px;
        }
    
        .grid-our-team{
            grid-template-columns: repeat(2, 1fr);
            grid-template-rows: repeat(4, auto);
    
            .grid-our-team__card{
                max-width: 446px;
                
    
                .grid-card__name{
                    font-size: 30px;
                }
    
                .grid-card__position{
                    font-size: 20px;
                }
    
                .grid-card__photo-container{
                    max-width: 446px;
                    max-height: 507px;
                    aspect-ratio: 446 / 507;
                }
    
                .grid-card__social-icons{
                    .grid-card__social-icon{
                        width: 30px;
                        height: 30px;
                    }
                }
            }
    
            .grid-join{
                .grid-join__text--thin{
                    font-size: 30px;
                }
    
                .grid-join__text--bold{
                    font-size: 56px;
                    width: 730px;
                }
    
                .grid-join__button{
                    display: flex;
                    text-decoration: none;
                    padding: 15px 30px;
                    gap: 10px;
                    border-radius: 50px;
                    background: $main-color;
                    color: #FFF;
                    font-size: 18px;
                    @include medium-style;
                    text-transform: capitalize;
                    width: fit-content;
                    align-items: center;
                }
            }
        }
    }
}


@media screen and (min-width: 320px) and (max-width: 768px) {

    .container {
        padding: 0 20px;
    }

    .header{
        padding: 20px 0;
    
        .header-wrapper{
            .logo{
                .logo__text{
                    display: none;
                }
            }
        }
    }

    .main-title{
        .main-title__wrapper{
            .main-title__text{
                font-size: 11vw;
            }
            .main-title__arrow{
                margin-bottom: 14px;
            }
        }
    }

    .photo-banner{
        display: none;
    }

    .photo-banner--mobile{
        display: block;
        width: 100%;
    }

    .about-me{
        padding: 0;
        display: flex;
        flex-direction: column;
    
        .about-me__text{
            text-align: center;
            font-size: 6vw;
            padding: 30px;
        }
    
        .my-socials{
            padding: 0 30px 0 0;
            width: 100%;
            height: 188px;
            justify-content: center;
            align-items: flex-end;
        }
    }

    .logos{
        padding: 30px 0;
        
        .logos-list{
            gap: 20px;
            flex-wrap: wrap;
            justify-content: center;
    
            .logos-list__item{
                padding: 1.4vh 1.5vw;
                margin-right: 0;
    
                .logos-list__logo{
                    width: 80%;
                }
            }
        }
    }

    .selected-work{
        padding: 30px 0;
    
        .selected-work__title{
            font-size: 15vw;
        }
    
        .grid-selected-work{
            margin: 30px 0 40px 0;
            display: flex;
            flex-direction: column;
            gap: 20px 0;
            
            .grid-item{
                &:nth-child(2){
                    order: -1;
                }
                &:nth-child(3){
                    order: -1;
                }
                &:nth-child(4){
                    margin-top: 20px;
                }

                .grid-item__title{
                    font-size: 8vw; 
                }

                .grid-item__buttons{
                    margin: 30px 0;
                    gap: 20px;

                    .grid-item__button--white{
                        padding: 15px 25px;
                        font-size: 18px;
                    }
                    
                }
            }
        }
        .all-work-button{
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            box-sizing: border-box;
        }
    }

    .our-team{
        padding: 30px 0 50px 0;
    
        .our-team__title{
            font-size: 15vw;
        }
    
        .grid-our-team{
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
    
            .grid-our-team__card{
                max-width: 633px;
                align-items: center;
                
    
                .grid-card__name{
                    font-size: 30px;
                }
    
                .grid-card__position{
                    font-size: 20px;
                }
    
                .grid-card__photo-container{
                    max-width: 446px;
                    max-height: 507px;
                    aspect-ratio: 446 / 507;
                }
    
                .grid-card__social-icons{
                    align-self: center;

                    .grid-card__social-icon{
                        width: 30px;
                        height: 30px;
                    }
                }
            }
    
            .grid-join{
                align-items: center;
                text-align: center;

                .grid-join__text--thin{
                    font-size: 30px;
                }
    
                .grid-join__text--bold{
                    font-size: 39px;
                    max-width: 438px;
                }
    
                .grid-join__button{
                    padding: 15px 30px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    width: 100%;
                    box-sizing: border-box;
                }
            }
        }
    }
}